Yellowfin with MySQL 8

Yellowfin FAQ shared this question 17 months ago
Answered

I have downloaded the most recent version of MySQL, but I am now getting an error when trying to connect to it from Yellowfin.

Best Answer
photo

NOTE: This process is for connecting to MySQL 8 as a Data Source and will not work for installing into MySQL 8. We are currently testing and reviewing changes to support this in future versions. Please use this work around to install into MySQL 8.


MySQL 8 now includes a new authentication method that is incompatible with Yellowfin's default MySQL driver.

Fortunately there are two easy solutions to get MySQL 8 working with Yellowfin.

1. Use the new MySQL 8 driver. This driver automatically accounts for the new authentication method and, after uploading the linked file through the plugin manager, will be available for selection under the standard MySQL connection.


See attached driver


2. Change the Authentication method on installation back to the legacy authentication:

8710b42c6e42b2ae9b379a02dab82bdd

Comments (1)

photo
1

NOTE: This process is for connecting to MySQL 8 as a Data Source and will not work for installing into MySQL 8. We are currently testing and reviewing changes to support this in future versions. Please use this work around to install into MySQL 8.


MySQL 8 now includes a new authentication method that is incompatible with Yellowfin's default MySQL driver.

Fortunately there are two easy solutions to get MySQL 8 working with Yellowfin.

1. Use the new MySQL 8 driver. This driver automatically accounts for the new authentication method and, after uploading the linked file through the plugin manager, will be available for selection under the standard MySQL connection.


See attached driver


2. Change the Authentication method on installation back to the legacy authentication:

8710b42c6e42b2ae9b379a02dab82bdd